httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From NormW <no...@bocnet.com.au>
Subject Re: Patch for 2.0.54 + OpenSSL 0.9.8
Date Wed, 06 Jul 2005 20:58:52 GMT
Good morning,
Getting the same result on OpenSSL-0.9.8 (final);

> Compiling ssl_engine_init.c
> ### mwccnlm Compiler:
> #    File: ssl_engine_init.c
> # --------------------------
> #     734:      if (!(cert = d2i_X509(NULL, &ptr, asn1->nData))) {
> #   Error:                                                   ^
> #   illegal implicit conversion from 'unsigned char **' to
> #   'const unsigned char **'
> ### mwccnlm Compiler:
> #     773:      if (!(pkey = d2i_PrivateKey(pkey_type, NULL, &ptr, asn1->nData)))
> #   Error:                                                                    ^
> #   illegal implicit conversion from 'unsigned char **' to
> #   'const unsigned char **'
> 
> Errors caused tool to abort.
> make[2]: *** [Release.o/ssl_engine_init.o] Error 1
> make[1]: *** [ssl] Error 2
> make: *** [modules] Error 2

Norm

Brad Nicholes wrote:
> Compiling 2.1-dev on NetWare using OpenSSL 0.9.8-beta4
> 
> Brad
> 
> 
>>>>wrowe@rowe-clan.net Wednesday, July 06, 2005 2:39:18 PM >>>
> 
> At 03:04 PM 7/6/2005, Brad Nicholes wrote:
> 
>>I'm running into the same const problem here as well on the calls to d2i_X509() and
d2i_PrivateKey().  Add these to your patch reworking.
> 
> 
> Sorry; I'm not seeing that.  Are you looking at 2.1-dev or 2.0.x
> branch?  Which version of OpenSSL?
> 
> Please advise.  Committing the corrected patch now for the single
> case we were considering.
> 
> Bill
> 
> 
> 
> 
> .
> 


Mime
View raw message